flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary Yao (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (FLINK-7839) Creating Quickstart project for SNAPSHOT version fails
Date Fri, 13 Oct 2017 16:21:01 GMT

     [ https://issues.apache.org/jira/browse/FLINK-7839?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gary Yao updated FLINK-7839:
----------------------------
    Description: 
The documentation on creating quickstart projects is broken for SNAPSHOT releases. For example,
the documentation suggests to use the following command to generate a Flink 1.4-SNAPSHOT project
using maven archetypes:
{code}
mvn archetype:generate                                 \
      -DarchetypeGroupId=org.apache.flink              \
      -DarchetypeArtifactId=flink-quickstart-java      \
      -DarchetypeCatalog=https://repository.apache.org/content/repositories/snapshots/ \
      -DarchetypeVersion=1.4-SNAPSHOT
{code}
The command fails with the error:
{code}
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:3.0.1:generate
(default-cli) on project flink-training-exercises: archetypeCatalog 'https://repository.apache.org/content/repositories/snapshots/'
is not supported anymore. Please read the plugin documentation for details. -> [Help 1]
{code}

This also affects the quickstart script.

Since version 3.0.0, the archetype plugin does not allow to specify repositories as command
line arguments. See http://maven.apache.org/archetype/maven-archetype-plugin/archetype-repository.html

  was:
The documentation on creating quickstart projects is broken for SNAPSHOT releases. For example,
the documentation suggests to use the following command to generate a Flink 1.4-SNAPSHOT project
using maven archetypes:
{code}
mvn archetype:generate                                         \
      -DarchetypeGroupId=org.apache.flink              \
      -DarchetypeArtifactId=flink-quickstart-java        \
      -DarchetypeCatalog=https://repository.apache.org/content/repositories/snapshots/ \
      -DarchetypeVersion=1.4-SNAPSHOT
{code}
The command fails with the error:
{code}
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:3.0.1:generate
(default-cli) on project flink-training-exercises: archetypeCatalog 'https://repository.apache.org/content/repositories/snapshots/'
is not supported anymore. Please read the plugin documentation for details. -> [Help 1]
{code}

This also affects the quickstart script.

Since version 3.0.0, the archetype plugin does not allow to specify repositories as command
line arguments. See http://maven.apache.org/archetype/maven-archetype-plugin/archetype-repository.html


> Creating Quickstart project for SNAPSHOT version fails
> ------------------------------------------------------
>
>                 Key: FLINK-7839
>                 URL: https://issues.apache.org/jira/browse/FLINK-7839
>             Project: Flink
>          Issue Type: Bug
>          Components: Documentation
>    Affects Versions: 1.4.0
>            Reporter: Gary Yao
>            Priority: Blocker
>              Labels: documentation
>
> The documentation on creating quickstart projects is broken for SNAPSHOT releases. For
example, the documentation suggests to use the following command to generate a Flink 1.4-SNAPSHOT
project using maven archetypes:
> {code}
> mvn archetype:generate                                 \
>       -DarchetypeGroupId=org.apache.flink              \
>       -DarchetypeArtifactId=flink-quickstart-java      \
>       -DarchetypeCatalog=https://repository.apache.org/content/repositories/snapshots/
\
>       -DarchetypeVersion=1.4-SNAPSHOT
> {code}
> The command fails with the error:
> {code}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:3.0.1:generate
(default-cli) on project flink-training-exercises: archetypeCatalog 'https://repository.apache.org/content/repositories/snapshots/'
is not supported anymore. Please read the plugin documentation for details. -> [Help 1]
> {code}
> This also affects the quickstart script.
> Since version 3.0.0, the archetype plugin does not allow to specify repositories as command
line arguments. See http://maven.apache.org/archetype/maven-archetype-plugin/archetype-repository.html



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message